<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Edit Profile</title>
</head>
<body>
<form th:action="@{/student/save_profile}" method="post" role="form"
      name="form1">
    <!--<text th:if="${signup == false}}">Sign up fail!!</text>-->
    <p>
    <div>
        <label>Name</label>
        <div class="text-left w70 vaM">
            <input type="text"
                   class=" form-control"
                   name="firstname"
                   id="firstname"
                   th:value="${profile.getFirstname()}" />
        </div>
    </div>
    </p>
    <p id="surname-field">
    <div class="form-group">
        <label style="color: black" for="lastname">Surname</label>
        <div class="text-left w70 vaM">
            <input type="text"
                   class=" form-control"
                   name="lastname"
                   id="lastname"
                   th:value="${profile.getLastname()}" />
        </div>
    </div>
    </p>
    <p>

    </p>

    <div class="form-group">
        <label style="color: black" for="gpa">GPAX</label>
        <div class="text-left w70 vaM">
            <input type="number"
                   class=" form-control"
                   name="gpa"
                   id="gpa"
                   step="0.01"
                   min="0.0"
                   max="4.0"
                   th:value="${profile.getGpa()}"/>
        </div>
    </div>

    </p>
    <div>
        <label for="year">Year</label>
        <select name="year" id="year">
            <option th:value="${profile.getYear().getYearId()}"
                    th:text="${profile.getYear().getYear()}"
                    selected/>

            <option th:each="year: ${yearList}"
                    th:value="${year.getYearId()}"
                    th:text="${year.getYear()}"
            />
        </select>
    </div>
    <div th:if="${profile.getResume() != null and profile.getTranscript() != null}">
        <p>สถานะรับงาน</p>
        <input type="radio" name="availableStatus" value="0"> ไม่เปิดรับงาน
        <input type="radio" name="availableStatus" value="1"> เปิดรับงาน
    </div>

    <div>
        <p>สถานะทางทหาร</p>
        <div th:if="${profile.getMilitaryStatus() == 0}">
            <input type="radio" name="military" value="0" checked> ไม่ผ่านการเกณฑ์ทหาร
            <input type="radio" name="military" value="1"> ผ่านการเกณฑ์ทหาร
        </div>
        <div th:if="${profile.getMilitaryStatus() == 1}">
            <input type="radio" name="military" value="0"> ไม่ผ่านการเกณฑ์ทหาร
            <input type="radio" name="military" value="1" checked> ผ่านการเกณฑ์ทหาร
        </div>
    </div>

    <div>
        <p>address</p>
        <textarea name="address" cols="30" rows="10" th:value="${profile.getAddress()}"></textarea>
    </div>
    <div>
        <p>ผลสอบ</p>
        <textarea name="proficiency" cols="30" rows="10"></textarea>
    </div>
    <input type="submit" value="save" />

    <h2>ติดต่อ</h2>
    <div>
        <label style="color: black" for="email">E-mail</label>
        <input type="email" class=" form-control" name="email" id="email" th:value="${profile.getEmail()}">
        <div class="form-group">
            <label style="color: black" for="phone">Phone number</label>
            <div class="text-left w70 vaM">
                <input type="tel"
                       name="phoneNo"
                       id="phone"
                       placeholder="08xxxxxxxx"
                       pattern="[0]{1}[0-9]{2}[0-9]{3}[0-9]{4}"
                       th:value="${profile.getPhoneNo()}" />
            </div>
        </div>
        <label style="color: black" for="LineId">Line id</label>
        <input type="text" name="lineId" id="LineId" th:value="${profile.getLineId()}">
        <label style="color: black" for="facebook">Facebook</label>
        <input type="text" name="facebook" id="facebook" th:value="${profile.getFacebook()}">
    </div>
</form>
</body>
</html>